Problem with the maven-compiler-plugin

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem with the maven-compiler-plugin

Nelligan, Steven M

It appears that the maven-compiler-plugin is not working or I am doing something wrong.

 

I have the following in the POM file.

                <build>

        <plugins>

            <plugin>

                <groupId>org.apache.maven.plugins</groupId>

                <artifactId>maven-compiler-plugin</artifactId>

                <version>3.8.1</version>

                <configuration>

                    <verbose>true</verbose>

                    <compilerVersion>1.7</compilerVersion>

                    <source>1.7</source>

                    <target>1.7</target>

                </configuration>

            </plugin>

        </plugins>

    </build>

 

 

MAVEN INFORMATION:

C:\dev\Projects\accountentry_js22>mvn -version

Apache Maven 3.6.2 (40f52333136460af0dc0d7232c0dc0bcf0d9e117; 2019-08-27T10:06:16-05:00)

Maven home: C:\Program Files\apache-maven-3.6.2\bin\..

Java version: 1.7.0_80, vendor: Oracle Corporation, runtime: C:\Program Files\Java\jdk1.7.0_80\jre

Default locale: en_US, platform encoding: Cp1252

OS name: "windows 8.1", version: "6.3", arch: "amd64", family: "windows"

 

Default JAVA INFORMATION:

C:\dev\Projects\accountentry_js22>java -version

openjdk version "1.8.0_242"

OpenJDK Runtime Environment Corretto-8.242.08.1 (build 1.8.0_242-b08)

OpenJDK 64-Bit Server VM Corretto-8.242.08.1 (build 25.242-b08, mixed mode)

 

MVN Command:

mvn clean install –U                                                       

(see attached mvn_output.txt which contains the maven output)

 

JAVAP returns the following:

 

C:\dev\Projects\accountentry_js22\target\classes\edu\uiuc\fs\accountentry>javaP -version AccountContainer.class

1.8.0_242

Compiled from "AccountContainer.java"

public interface edu.uiuc.fs.accountentry.AccountContainer {

  public abstract void setSelectedFundingCode(org.apache.wicket.ajax.AjaxRequestTarget, java.lang.String);

  public abstract java.lang.String getSelectedFundingCode();

  public abstract java.lang.String getCollegeCode();

  public abstract java.lang.String getDeptCode();

  public abstract boolean showFSPays();

}

 

 

 

Steven M Nelligan
APPLICATION DEVELOPER

 
Facilities and Services

Information Technology Services
University of Illinois at Urbana-Champaign
Facilities and Services
1501 S. Oak Street | M/C 800
Champaign, IL 61820
217.244.8097 | other: 217.244.8097 | [hidden email]
www.fs.illinois.edu
 
facebook    twitter    instagram    youtube     

https://webtools.illinois.edu/webservices/js/ds/signature_logo.png

Under the Illinois Freedom of Information Act any written communication to or from university employees regarding university business is a public record and may be subject to public disclosure.

 

 



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

mvn_output.txt (34K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problem with the maven-compiler-plugin

Thomas Broyer-2
What is it that you think is not working?

(fwiw, javaP -version prints the version of javaP, not the version the class was compiled with/to; that would be a 51.0 or similar anyway, not a 1.7)

Le ven. 13 mars 2020 à 08:26, Nelligan, Steven M <[hidden email]> a écrit :

It appears that the maven-compiler-plugin is not working or I am doing something wrong.

 

I have the following in the POM file.

                <build>

        <plugins>

            <plugin>

                <groupId>org.apache.maven.plugins</groupId>

                <artifactId>maven-compiler-plugin</artifactId>

                <version>3.8.1</version>

                <configuration>

                    <verbose>true</verbose>

                    <compilerVersion>1.7</compilerVersion>

                    <source>1.7</source>

                    <target>1.7</target>

                </configuration>

            </plugin>

        </plugins>

    </build>

 

 

MAVEN INFORMATION:

C:\dev\Projects\accountentry_js22>mvn -version

Apache Maven 3.6.2 (40f52333136460af0dc0d7232c0dc0bcf0d9e117; 2019-08-27T10:06:16-05:00)

Maven home: C:\Program Files\apache-maven-3.6.2\bin\..

Java version: 1.7.0_80, vendor: Oracle Corporation, runtime: C:\Program Files\Java\jdk1.7.0_80\jre

Default locale: en_US, platform encoding: Cp1252

OS name: "windows 8.1", version: "6.3", arch: "amd64", family: "windows"

 

Default JAVA INFORMATION:

C:\dev\Projects\accountentry_js22>java -version

openjdk version "1.8.0_242"

OpenJDK Runtime Environment Corretto-8.242.08.1 (build 1.8.0_242-b08)

OpenJDK 64-Bit Server VM Corretto-8.242.08.1 (build 25.242-b08, mixed mode)

 

MVN Command:

mvn clean install –U                                                       

(see attached mvn_output.txt which contains the maven output)

 

JAVAP returns the following:

 

C:\dev\Projects\accountentry_js22\target\classes\edu\uiuc\fs\accountentry>javaP -version AccountContainer.class

1.8.0_242

Compiled from "AccountContainer.java"

public interface edu.uiuc.fs.accountentry.AccountContainer {

  public abstract void setSelectedFundingCode(org.apache.wicket.ajax.AjaxRequestTarget, java.lang.String);

  public abstract java.lang.String getSelectedFundingCode();

  public abstract java.lang.String getCollegeCode();

  public abstract java.lang.String getDeptCode();

  public abstract boolean showFSPays();

}

 

 

 

Steven M Nelligan
APPLICATION DEVELOPER

 
Facilities and Services

Information Technology Services
University of Illinois at Urbana-Champaign
Facilities and Services
1501 S. Oak Street | M/C 800
Champaign, IL 61820
217.244.8097 | other: 217.244.8097 | [hidden email]
www.fs.illinois.edu
 
                 



Under the Illinois Freedom of Information Act any written communication to or from university employees regarding university business is a public record and may be subject to public disclosure.

 

 


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]
Reply | Threaded
Open this post in threaded view
|

RE: Problem with the maven-compiler-plugin

Nelligan, Steven M
Thank you for the feedback.

I should have been using –verbose not –version.  When using –verbose the plugin is working as expected.

Thank you for your time.


From: Thomas Broyer <[hidden email]>
Sent: Friday, March 13, 2020 3:02 AM
To: Maven Users List <[hidden email]>
Subject: Re: Problem with the maven-compiler-plugin

What is it that you think is not working?

(fwiw, javaP -version prints the version of javaP, not the version the class was compiled with/to; that would be a 51.0 or similar anyway, not a 1.7)
Le ven. 13 mars 2020 à 08:26, Nelligan, Steven M <[hidden email]<mailto:[hidden email]>> a écrit :
It appears that the maven-compiler-plugin is not working or I am doing something wrong.

I have the following in the POM file.
                <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <verbose>true</verbose>
                    <compilerVersion>1.7</compilerVersion>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
            </plugin>
        </plugins>
    </build>


MAVEN INFORMATION:
C:\dev\Projects\accountentry_js22>mvn -version
Apache Maven 3.6.2 (40f52333136460af0dc0d7232c0dc0bcf0d9e117; 2019-08-27T10:06:16-05:00)
Maven home: C:\Program Files\apache-maven-3.6.2\bin\..
Java version: 1.7.0_80, vendor: Oracle Corporation, runtime: C:\Program Files\Java\jdk1.7.0_80\jre
Default locale: en_US, platform encoding: Cp1252
OS name: "windows 8.1", version: "6.3", arch: "amd64", family: "windows"

Default JAVA INFORMATION:
C:\dev\Projects\accountentry_js22>java -version
openjdk version "1.8.0_242"
OpenJDK Runtime Environment Corretto-8.242.08.1 (build 1.8.0_242-b08)
OpenJDK 64-Bit Server VM Corretto-8.242.08.1 (build 25.242-b08, mixed mode)

MVN Command:
mvn clean install –U
(see attached mvn_output.txt which contains the maven output)

JAVAP returns the following:

C:\dev\Projects\accountentry_js22\target\classes\edu\uiuc\fs\accountentry>javaP -version AccountContainer.class
1.8.0_242
Compiled from "AccountContainer.java"
public interface edu.uiuc.fs.accountentry.AccountContainer {
  public abstract void setSelectedFundingCode(org.apache.wicket.ajax.AjaxRequestTarget, java.lang.String);
  public abstract java.lang.String getSelectedFundingCode();
  public abstract java.lang.String getCollegeCode();
  public abstract java.lang.String getDeptCode();
  public abstract boolean showFSPays();
}



Steven M Nelligan
APPLICATION DEVELOPER

Facilities and Services
Information Technology Services
University of Illinois at Urbana-Champaign
Facilities and Services
1501 S. Oak Street | M/C 800
Champaign, IL 61820
217.244.8097 | other: 217.244.8097 | [hidden email]<mailto:[hidden email]>
www.fs.illinois.edu<http://www.fs.illinois.edu/>

[facebook]<https://www.facebook.com/UniversityOfIllinoisFacilitiesServices>    [twitter] <https://twitter.com/UofIFS>     [instagram] <https://www.instagram.com/uofifs/>     [youtube] <https://www.youtube.com/user/UofIFS>

[https://webtools.illinois.edu/webservices/js/ds/signature_logo.png]<http://illinois.edu/>

Under the Illinois Freedom of Information Act any written communication to or from university employees regarding university business is a public record and may be subject to public disclosure.



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]<mailto:[hidden email]>
For additional commands, e-mail: [hidden email]<mailto:[hidden email]>